#mechanics {
    padding: 112px 0 64px;
    background: linear-gradient(180deg, #141C2200 0%, #141c22 100%);
}

.mechanics {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
}

.mechanics::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0;
    left: 0;
    background: linear-gradient(170deg, #141C2200 10%, #141c22 90%), linear-gradient(190deg, #141C2200 30%, #141c22 70%);
    pointer-events: none;
}

.mechanics_title {
    font-size: 64px;
    line-height: 100%;
    will-change: transform, opacity;
    opacity: 0;
}

#mechanics.show .mechanics_title {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) 0.3s forwards
}

.mechanics_content {
    display: flex;
    justify-content: center;
    gap: 64px;
    position: relative;
    z-index: 2;
}

.mechanics_item {
    width: 100%;
    max-width: 453px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    will-change: transform, opacity;
    opacity: 0;
}

#mechanics.show .mechanics_item:nth-child(1) {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) 0.6s forwards
}

#mechanics.show .mechanics_item:nth-child(2) {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) 0.9s forwards
}

#mechanics.show .mechanics_item:nth-child(3) {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) 1.2s forwards
}

.mechanics_img {
    width: 100%;
    height: 255px;
    border-radius: 12px;
    padding: 3px;
    background: linear-gradient(180deg, #306d79 0%, #113f46 100%);
    position: relative;
}

.mechanics_img::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, #3a8897 0%, #1b5965 100%);
    width: 100%;
    height: 100%;
    z-index: 0;
    border-radius: 12px;
    opacity: 0;
    transition: all 0.3s ease;
}


.mechanics_in_img {
    border-radius: 12px;
    box-shadow: 0 0 26px 0 #3596ac66 inset;
    transition: all 0.3s ease;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 1;
}

.mechanics_item:hover .mechanics_in_img {
    border-radius: 12px;
    box-shadow: 0 0 26px 0 rgba(53, 150, 172, 0.80) inset;
}

.mechanics_item:hover .mechanics_img::after {
    opacity: 1;
}

.mechanics_item:nth-child(1) .mechanics_in_img {
    background-image: url(../assets/mechanic_1.jpg);
}

.mechanics_item:nth-child(2) .mechanics_in_img {
    background-image: url(../assets/mechanic_2.jpg);
}

.mechanics_item:nth-child(3) .mechanics_in_img {
    background-image: url(../assets/mechanic_3.jpg);
}

.mechanics_discribe {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

.mechanics_name {
    font-size: 29px;
    line-height: 100%;
    text-align: center;
}

.mechanics_text {
    color: #CCFBFF;
    text-align: center;
    font-size: 16px;
    line-height: 130%;
}

@media (max-width: 1600px) {
    .mechanics_title {
        font-size: 48px;
        line-height: 110%;
    }

    #mechanics {
        padding: 175px 0 64px;
    }

    .mechanics {
        gap: 64px;
    }

    .mechanics_name {
        font-size: 28px;
        line-height: 100%;
    }

    .mechanics_content {
        gap: 40px;
        max-width: 1312px;
    }

    .mechanics_img {
        height: 231px;
    }

    .mechanics_discribe {
        gap: 16px;
    }
}

@media (max-width: 1400px) {
    .mechanics_title {
        font-size: 32px;
        line-height: 110%;
    }

    #mechanics {
        padding: 142px 0 64px;
    }

    .mechanics {
        gap: 38px;
    }

    .mechanics_content {
        gap: 40px;
        max-width: 962px;
    }

    .mechanics_img {
        height: 166px;
    }

    .mechanics_name {
        font-size: 24px;
        line-height: 100%;
    }

    .mechanics_text {
        font-size: 14px;
        line-height: 130%;
    }

}

@media (max-width: 1000px) {
    #mechanics {
        padding: 142px 0 4px;
    }

    .mechanics {
        padding: 0 24px;
        gap: 48px;
    }

    .mechanics::after {
        background: url(../assets/little_arrow.svg) center / contain no-repeat;
        content: '';
        position: absolute;
        top: -110px;
        right: -34px;
        width: 208px;
        height: 250px;
        z-index: 0;
        pointer-events: none;
    }

    .mechanics_content {
        gap: 48px;
        flex-direction: column;
    }

    .mechanics_img {
        height: 184px;
    }

    .mechanics_item {
        gap: 25px;
    }

    .mechanics_discribe {
        align-items: flex-start;
        gap: 12px;
    }

    .mechanics_text {
        text-align: left;
        font-size: 16px;
        line-height: 130%;
    }
}